RM(1)

NAMN
rm - remove files or directories

SYNOPSIS
rm [FLAGGA]... [FIL]...

BESKRIVNING
This manual page documents the GNU version of rm. rm removes each specified file. By default, it does not remove directories.

If the -I or --interactive=once option is given, and there are more than three files or the -r, -R, or --recursive are given, then rm prompts the user for whether to proceed with the entire operation. If the response is not affirmative, the entire command is aborted.

Otherwise, if a file is unwritable, standard input is a terminal, and the -f or --force option is not given, or the -i or --interactive=always option is given, rm prompts the user for whether to remove the file. If the response is not affirmative, the file is skipped.

FLAGGOR

Ta bort (avlänka) FIL(en/erna).

-f, --force
    Ignorera ej existerande filer och argument, fråga aldrig.

-i  Fråga före varje borttagning.

-I  Fråga en gång före mer än tre filer tas bort, eller vid rekursiv borttagning; mindre påträngande än -i, men skyddar ändå mot de flesta misstag.

--interactive[=NÄR]
    Fråga enligt NÄR: never, once (-I), eller always (-i); utan NÄR, fråga alltid.

--one-file-system
    När en hierarki tas bort rekursivt, hoppa över eventuella kataloger som ligger på andra filsystem än motsvarande kommandoradsargument gör.

--no-preserve-root
    Behandla inte ”/” speciellt.

--preserve-root[=all]
    Ta inte bort ”/” (normalfall); med ”all”, avvisa alla kommandoradsargument på en annan enhet än sin förälder.

-r, -R, --recursive
    Ta bort kataloger och deras innehåll rekursivt.

-d, --dir
    Ta bort tomma kataloger.

-v, --verbose
    Berätta vad som görs.

--help
    Visa denna hjälp och avsluta.

--version
    Visa versionsinformation och avsluta.

Som standard tar rm inte bort kataloger. Använd flaggan --recursive (-r eller -R) för att ta bort varje uppräknad katalog också, tillsammans med hela dess innehåll.

För att ta bort filer vars namn börjar med ”-”, till exempel ”-apa”, använder du ett av dessa kommandon:

    rm -- -apa

    rm ./-apa

Observera att om du använder rm för att ta bort en fil kan det vara möjligt att ta reda på en del av dess innehåll, givet tillräckligt med expertis och/eller tid. För större visshet om att innehållet verkligen är borta, överväg att använda shred(1).

UPPHOVSMAN
Skrivet av Paul Rubin, David MacKenzie, Richard M. Stallman och Jim Meyering.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>.

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE OCKSÅ
unlink(1), unlink(2), chattr(1), shred(1)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/rm>
eller tillgängligt lokalt via: info '(coreutils) rm invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till <TODO>.